## routes 2.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## routes 1.13

=== debian/changelog ===
routes (1.13-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitrijs Ledkovs ]
  * Team upload.
  * Add python3 package (Closes: #714402)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Jul 2013 23:17:43 +0100

routes (1.13-2) unstable; urgency=low

  [ David Prévot ]
  * Add missing dependency on python-pkg-resources, thanks to Jakub Wilk
    (closes: #684677)

  [ Piotr Ożarowski ]
  * Remove "build-docs" file in clean target to make sure docs are rebuilt and
    available even if build process is invoked twice in a row (closes: #671389)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Aug 2012 15:52:09 +0200

routes (1.13-1) unstable; urgency=low

  * New upstream release
  * Switch from dh_pysupport to dh_python2
  * Rebuild and install documentation
    - python-sphinx added to Build-Depends
  * Add build-arch and build-indep targets to debian/rules
  * debhelper's compatibility bumped to 7
  * debian/copyright updated
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Mar 2012 21:32:21 +0100

routes (1.12.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Jun 2010 21:13:17 +0200

routes (1.12.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Mar 2010 22:16:22 +0100

routes (1.12-1) unstable; urgency=low

  * New upstream release
  * Install CHANGELOG file as upstream changelog
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 01 Mar 2010 22:29:15 +0100

routes (1.11-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 28 Sep 2009 23:18:25 +0200

routes (1.10.3-2) unstable; urgency=low

  * Add python-webob to Recommends (closes: #515548)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Feb 2009 20:27:07 +0100

routes (1.10.3-1) unstable; urgency=low

  * New upstream release (upload to unstable)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Feb 2009 09:12:44 +0100

routes (1.10.2-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 12 Jan 2009 20:02:54 +0100

routes (1.10.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Sep 2008 15:02:28 +0200

routes (1.10-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Sep 2008 22:05:49 +0200

routes (1.9.2-1) unstable; urgency=low

  * New upstream release
  * Change license of my packaging efforts to BSD to match upstream

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Jul 2008 20:37:32 +0200

routes (1.9.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Jun 2008 19:51:56 +0200

routes (1.9-1) unstable; urgency=low

  * New upstream release
  * Long description updated
  * Standards-Version bumped to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Jun 2008 23:14:40 +0200

routes (1.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 28 Mar 2008 22:16:10 +0100

routes (1.7.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control: uniforming Vcs-Browser field

  [ Piotr Ożarowski ]
  * New upstream release
  * 01_disable_ez_setup patch removed (fixed upstream)
  * Switch from python-central to python-support
  * Compress binary package with bzip2
  * Strip the "-1" from setuptools' required version
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 27 Feb 2008 22:43:50 +0100

routes (1.7.1-1) unstable; urgency=low

  * New upstream release
    - docs/changelogs are available only via website now
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * setuptools_version patch replaced with disable_ez_setup

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 17 Nov 2007 21:37:07 +0100

routes (1.7-1) unstable; urgency=low

  * New upstream release
  * Added python-paste to Suggests (for Routes WSGI Middleware)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 09 Jun 2007 15:37:20 +0200

routes (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 11 Apr 2007 18:06:25 +0200

routes (1.6.2-2) unstable; urgency=low

  * Upload to unstable
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 Apr 2007 17:04:20 +0200

routes (1.6.2-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)

 -- Piotr Ozarowski <ozarow@gmail.com>  Sat,  6 Jan 2007 15:30:33 +0100

routes (1.6.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)

 -- Piotr Ozarowski <ozarow@gmail.com>  Sat, 30 Dec 2006 19:18:27 +0100

routes (1.6-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 15 Dec 2006 15:08:39 +0100

routes (1.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules cleaned:
    + dh_python removed, dh_pycentral will generate all data now
    + unneeded dh_installexamples, dh_strip and dh_shlibdeps calls removed
  * debian/control: bumped debhelper and python-central required versions due
    to dh_python call removal

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 17 Oct 2006 17:31:20 +0200

routes (1.5.1-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: routes
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-sphinx (>= 1.0.7+dfsg),
 python3-repoze.lru, python3-all, python3-setuptools, python3-sphinx
Standards-Version: 3.9.3
Homepage: http://routes.groovie.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/routes/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/routes/trunk/

Package: python-routes
Architecture: all
Depends: ${python:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, python-pkg-resources
Recommends: python-webob
Suggests: python-paste
Description: Routing Recognition and Generation Tools
 Routes is a Python re-implementation of the Rails routes system for mapping
 URLs to Controllers/Actions and generating URLs. Routes makes it easy to
 create pretty and concise URLs that are RESTful with little effort.
 .
 Speedy and dynamic URL generation means you get a URL with minimal cruft (no
 big dangling query args). Shortcut features like Named Routes cut down on
 repetitive typing.
 .
 Current features:
  * Named Routes
  * Sophisticated Route lookup and URL generation
  * Wildcard path's before and after static parts
  * Groupings syntax to allow flexible URLs to accommodate almost any need
  * Sub-domain support built-in
  * Conditional matching based on domain, cookies, HTTP method (RESTful), and
    more
  * Easily extensible utilizing custom condition functions and route generation
    functions
  * Extensive unit tests

Package: python3-routes
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, python3-pkg-resources
Recommends: python3-webob
Suggests: python3-paste
Description: Routing Recognition and Generation Tools for Python 3
 Routes is a Python 3 re-implementation of the Rails routes system for mapping
 URLs to Controllers/Actions and generating URLs. Routes makes it easy to
 create pretty and concise URLs that are RESTful with little effort.
 .
 Speedy and dynamic URL generation means you get a URL with minimal cruft (no
 big dangling query args). Shortcut features like Named Routes cut down on
 repetitive typing.
 .
 Current features:
  * Named Routes
  * Sophisticated Route lookup and URL generation
  * Wildcard path's before and after static parts
  * Groupings syntax to allow flexible URLs to accommodate almost any need
  * Sub-domain support built-in
  * Conditional matching based on domain, cookies, HTTP method (RESTful), and
    more
  * Easily extensible utilizing custom condition functions and route generation
    functions
  * Extensive unit tests

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name "*\.py[co]" -delete
	find . -name "\._*" -delete
	rm -rf docs/_build
	dh_clean Routes.egg-info/* build-docs

build: build-indep
build-arch:
build-indep: build-docs
build-docs:
	dh_testdir
	dh_installdirs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
		debian/python-routes/usr/share/doc/python-routes/html/
	touch $@

install: $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
install-python%:
	python$* setup.py install \
	        --install-layout=deb \
		--root $(CURDIR)/debian/python-routes

install3-python%:
	python$* setup.py install \
	        --install-layout=deb \
		--root $(CURDIR)/debian/python3-routes

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_sphinxdoc -i
	dh_link -i
	dh_python2 -i
	dh_python3 -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## routes 2.0

=== debian/changelog ===
routes (2.0-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:53 +0000

routes (2.0-1) unstable; urgency=low

  * New upstream release
  * Add drop_changes_from_description patch (to avoid FTBFS due to missing
    encoding declaration which makes python3 setup.py fail)
  * Bump minimum required Python version to 2.6/3.2
  * Add dh-python to Build-Depends (and use dh-python's dh_python2)
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Dec 2013 21:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9), dh-python
 Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-sphinx (>= 1.0.7+dfsg),
  python3-repoze.lru, python3-all, python3-setuptools, python3-sphinx
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://routes.groovie.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/routes/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/routes/trunk/
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-routes
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Z bzip2
+	dh_builddeb -i
 
 binary-arch:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/R/Routes/Routes-(.*)\.tar\.gz debian uupdate

## routes 2.2

=== debian/changelog ===
routes (2.2-1ubuntu2) xenial; urgency=medium

  * d/control: Add python-repoze.lru and python-webob to Build-Depends-Indep
    to fix FTBFS.
  * d/patches/
    - remove_missing_todo_include_from_docs.patch: Also remove dangling
      include directive since Sphinx will still complain otherwise,
      causing FTBFS.
    - sphinx-compat.patch: Drop, as it causes FTBFS.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 11 Apr 2016 17:43:23 -0400

routes (2.2-1ubuntu1) wily; urgency=medium

  * Resync with Debian unstable.
  * d/control: Drop versioned requirement on python-sphinx.
  * d/p/sphinx-compat.patch: Fixup compat with sphinx < 1.3.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Sep 2015 12:22:08 +0100

routes (2.2-1) unstable; urgency=medium

  * New upstream release
    - requires Sphinx >= 1.3 (also closes: 788972)
    - add remove_missing_todo_include_from_docs patch
  * Add python{,3}-six to Build-Depends (and Depends, via dh_python*)
  * debian/watch: use pypi.debian.net redirector

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Aug 2015 10:09:09 +0200

routes (2.1-1) experimental; urgency=medium

  * New upstream release
    - drop_changes_from_description patch refreshed
  * Homepage updated
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Jan 2015 20:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: routes
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python
-Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-sphinx (>= 1.0.7+dfsg),
- python3-repoze.lru, python3-all, python3-setuptools, python3-sphinx
-Standards-Version: 3.9.5
-Homepage: http://routes.groovie.org/
+Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-sphinx,
+ python3-repoze.lru, python3-all, python3-setuptools, python3-sphinx,
+ python-six, python3-six, python-repoze.lru, python-webob
+Standards-Version: 3.9.6
+Homepage: http://routes.readthedocs.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/routes/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/routes/trunk/
 X-Python-Version: >= 2.6

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Routes/Routes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## routes 2.3.1

=== debian/changelog ===
routes (2.3.1-2) unstable; urgency=medium

  * Documentation is back (lost in last upload while rewritting debian/rules;
    closes: 833047)
  * Install CHANGELOG.rst as upstream changelog (closes: 833049)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 31 Jul 2016 13:36:49 +0200

routes (2.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * debian/rules rewritten: now uses dh sequencer and pybuild

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 22:56:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: routes
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python
-Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-sphinx,
- python3-repoze.lru, python3-all, python3-setuptools, python3-sphinx,
- python-six, python3-six, python-repoze.lru, python-webob
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-python,
+ python-all, python3-all,
+ python-setuptools, python3-setuptools,
+ python-sphinx (>= 1.3),
+ python-nose, python3-nose,
+ python-repoze.lru, python3-repoze.lru,
+ python-coverage, python3-coverage,
+ python-webob, python3-webob,
+ python-webtest, python3-webtest,
+ python-six, python3-six
+Standards-Version: 3.9.8
 Homepage: http://routes.readthedocs.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/routes/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/routes/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/routes.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/routes.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## routes 2.4.1

=== debian/changelog ===
routes (2.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938407

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 13:00:14 -0500

routes (2.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-depends on python-webtest.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 22 Dec 2019 16:33:19 +0000

routes (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 20 Jul 2017 20:35:37 +0200

=== debian/control ===
Source: routes
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.3),
 python3-nose,
 python3-repoze.lru,
 python3-coverage,
 python3-webob,
 python3-webtest,
 python3-six
Standards-Version: 4.0.0
Homepage: https://routes.readthedocs.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/routes.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/routes

Package: python3-routes
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, python3-pkg-resources
Recommends: python3-webob
Suggests: python3-paste
Description: Routing Recognition and Generation Tools for Python 3
 Routes is a Python 3 re-implementation of the Rails routes system for mapping
 URLs to Controllers/Actions and generating URLs. Routes makes it easy to
 create pretty and concise URLs that are RESTful with little effort.
 .
 Speedy and dynamic URL generation means you get a URL with minimal cruft (no
 big dangling query args). Shortcut features like Named Routes cut down on
 repetitive typing.
 .
 Current features:
  * Named Routes
  * Sophisticated Route lookup and URL generation
  * Wildcard path's before and after static parts
  * Groupings syntax to allow flexible URLs to accommodate almost any need
  * Sub-domain support built-in
  * Conditional matching based on domain, cookies, HTTP method (RESTful), and
    more
  * Easily extensible utilizing custom condition functions and route generation
    functions
  * Extensive unit tests

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Routes/Routes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## routes 2.5.1

=== debian/changelog ===
routes (2.5.1-7) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 15:18:29 +0100

routes (2.5.1-6) unstable; urgency=medium

  * Team upload.
  * Remove now-unused dependency on python3-pkg-resources (closes:
    #1083757).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 17:09:58 +0100

routes (2.5.1-5) unstable; urgency=medium

  * Team Upload
  * Replace Nose with Pytest (Closes: #1018633)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 11:19:49 +0200

routes (2.5.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Colin Watson ]
  * Don't use obsolete TestCase.assert_ (closes: #1058236).
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 11:05:34 +0100

routes (2.5.1-3) unstable; urgency=medium

  * debian/patches/fix-doc-build.patch
    - fix doc build, patch by s3v; Closes: #997346

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jun 2022 22:02:53 -0400

routes (2.5.1-2) unstable; urgency=medium

  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:03:24 -0400

routes (2.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 4.5.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 18:08:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,28 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx (>= 1.3),
- python3-nose,
+ python3-pytest,
  python3-repoze.lru,
  python3-coverage,
  python3-webob,
  python3-webtest,
- python3-six
-Standards-Version: 4.0.0
+Standards-Version: 4.6.1
 Homepage: https://routes.readthedocs.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/routes.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/routes
+Vcs-Git: https://salsa.debian.org/python-team/packages/routes.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/routes
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-routes
 Architecture: all
-Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, python3-pkg-resources
+Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
 Recommends: python3-webob
 Suggests: python3-paste
 Description: Routing Recognition and Generation Tools for Python 3

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=routes
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9' https_proxy='https://127.0.0.1:9' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst
